Skip to content

Remove Governance Lock (Object)

DELETE
/api/v1/storage/buckets/{bucket_name}/lock/object/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/lock/object/?object_name=<OBJECT_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&version_id=<VERSION_ID>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

This API allows users to remove governance lock from an object.

bucket_name
required
string

Bucket Name

object_name
required
string

Object Name with Directory.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

version_id
required
string

Example

740d0a130b0745ebb036bb866c87f847

Version ID

Response indicating that object retention has been cleared or reset

Media typeapplication/json
object
code
integer
data
object
mode
string
versionID
string
status
string
error
string
nullable
errors
object
message
string

Example

{
"code": 200,
"data": {
"mode": "",
"versionID": "abc123-version-id",
"status": "success",
"error": null
},
"errors": {},
"message": "Success"
}